Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class AnimatedIcon

    java.lang.Object
      javax.swing.ImageIcon
          org.gjt.sp.jedit.gui.AnimatedIcon

All Implemented Interfaces:
  java.io.Serializable, javax.accessibility.Accessible, javax.swing.Icon

    public class AnimatedIcon

extends javax.swing.ImageIcon

A animated version of ImageIcon. It can be used anywhere an ImageIcon can be.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.ImageIcon
`javax.swing.ImageIcon.AccessibleImageIcon`

Field Summary

Fields inherited from class javax.swing.ImageIcon
`component, tracker`

Constructor Summary
`AnimatedIcon(java.awt.Image icon, java.awt.Image[] frames, int rate, java.awt.Component host)`

Method Summary
`java.awt.Image[]` | `getFrames()`
`java.awt.Image` | `getIcon()`
`int` | `getRate()`
`void` | `setFrames(java.awt.Image[] frames)`
`void` | `setIcon(java.awt.Image icon)`
`void` | `setRate(int rate)`
`void` | `start()` Starts the animation rolling
`void` | `stop()` Stops the animation, and resets to frame 0

Methods inherited from class javax.swing.ImageIcon
`getAccessibleContext, getDescription, getIconHeight, getIconWidth, getImage, getImageLoadStatus, getImageObserver, loadImage, paintIcon, setDescription, setImage, setImageObserver, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnimatedIcon

    public AnimatedIcon(java.awt.Image icon,
                        java.awt.Image[] frames,
                        int rate,
                        java.awt.Component host)

Parameters:
  `frames` - The frames to be used in the animation
  `rate` - The frame rate of the animation, in frames per second
  `host` - The container that the animation is used in

Method Detail

### getFrames

    public java.awt.Image[] getFrames()

### getIcon

    public java.awt.Image getIcon()

### getRate

    public int getRate()

### setFrames

    public void setFrames(java.awt.Image[] frames)

### setIcon

    public void setIcon(java.awt.Image icon)

### setRate

    public void setRate(int rate)

### start

    public void start()

  Starts the animation rolling

### stop

    public void stop()

  Stops the animation, and resets to frame 0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD